Bug 25236 - Accessibility: The 'Refine your search' box contains semantically incorrect headings
Summary: Accessibility: The 'Refine your search' box contains semantically incorrect h...
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 25150
  Show dependency treegraph
 
Reported: 2020-04-22 05:52 UTC by Martin Renvoize
Modified: 2020-07-24 09:55 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02, 19.11.08, 19.05.14


Attachments
Bug 25236: Fix semantic heading for opac-facets.inc (5.55 KB, patch)
2020-06-11 10:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-topissues.inc (1.66 KB, patch)
2020-06-11 10:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt (2.91 KB, patch)
2020-06-11 10:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-facets.inc (5.55 KB, patch)
2020-06-11 11:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-topissues.inc (1.66 KB, patch)
2020-06-11 11:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt (2.91 KB, patch)
2020-06-11 11:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-facets.inc (5.63 KB, patch)
2020-06-11 14:39 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-topissues.inc (1.73 KB, patch)
2020-06-11 14:39 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt (2.98 KB, patch)
2020-06-11 14:39 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-facets.inc (5.68 KB, patch)
2020-06-21 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-topissues.inc (1.78 KB, patch)
2020-06-21 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt (3.04 KB, patch)
2020-06-21 14:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-04-22 05:52:19 UTC
Library Catalogue - OPAC

The ‘Refine your search’ heading is not logical because it increases by more than one
heading level. This means that screen reader users may not be able to determine the
structure of content on the page.

1/ Search for an item
3/ The resultant page contains a 'Regine your search' box containing filters.

Current Code:
<h4><a href="#" class="menu-collapse-toggle">Refine your search</a></h4>
Comment 1 Martin Renvoize 2020-06-11 10:59:31 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2020-06-11 10:59:34 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2020-06-11 10:59:37 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2020-06-11 11:01:11 UTC
Created attachment 105729 [details] [review]
Bug 25236: Fix semantic heading for opac-facets.inc

Prior to this patch, the opac-facets side navigation box contained
semantically incorrect headings.

Test plan
1/ Perform a search which yields some results in the OPAC
2/ Inspect the 'Refine your search' elements on the left side of the
screen. Note that the headings are H1 (Koha page title) > H4 (Refine
your search) > H5 (Headings within 'Refine your search' box)
3/ Apply this patch and follow
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client
4/ Reload the page (Flushing the cache to ensure the CSS change load)
5/ Re-inspect the 'Refine your search' elements and note the heading
semantics are now H1 (Title of page) > H2 (Refine your search) > H3
(Headings within 'Refine your search')
6/ Note the appearance of the box is still reasonable
7/ Signoff
Comment 5 Martin Renvoize 2020-06-11 11:01:14 UTC
Created attachment 105730 [details] [review]
Bug 25236: Fix semantic heading for opac-topissues.inc

Prior to this patch, the opac-topissues side navigation box contained
semantically incorrect headings.

Test plan
0/ Enable 'OpacTopIssues'
1/ Navigate to the top issues page via the 'Most popular' link
2/ Inspect the 'Refine your search' elements on the left side of the screen.
   Note that the headings are H1 (Koha page title) > H4 (Refine your search)
3/ Apply this patch
4/ Reload the page
5/ Re-inspect the 'Refine your search' elements and note the heading
   semantics are now H1 (Title of page) > H2 (Refine your search)
6/ Note the appearance of the box is still reasonable
7/ Signoff
Comment 6 Martin Renvoize 2020-06-11 11:01:17 UTC
Created attachment 105731 [details] [review]
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt

Prior to this patch, the opac-full-serial-issues side navigation box contained
semantically incorrect headings.

Test plan
1/ Search for a serial with many linked issues
2/ Navigate to the detailed view of that serial
3/ Click on the 'More details' link after all the listed issues
4/ Inspect the 'Refine your search' elements on the left side of the screen.
   Note that the headings are H1 (Koha page title) > H4 (Refine your search)
3/ Apply this patch
4/ Reload the page
5/ Re-inspect the 'Refine your search' elements and note the heading
   semantics are now H1 (Title of page) > H2 (Refine your search)
6/ Note the appearance of the box is improved and consistent with elsewhere
7/ Signoff
Comment 7 PTFS Europe Sandboxes 2020-06-11 14:39:25 UTC
Created attachment 105760 [details] [review]
Bug 25236: Fix semantic heading for opac-facets.inc

Prior to this patch, the opac-facets side navigation box contained
semantically incorrect headings.

Test plan
1/ Perform a search which yields some results in the OPAC
2/ Inspect the 'Refine your search' elements on the left side of the
screen. Note that the headings are H1 (Koha page title) > H4 (Refine
your search) > H5 (Headings within 'Refine your search' box)
3/ Apply this patch and follow
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client
4/ Reload the page (Flushing the cache to ensure the CSS change load)
5/ Re-inspect the 'Refine your search' elements and note the heading
semantics are now H1 (Title of page) > H2 (Refine your search) > H3
(Headings within 'Refine your search')
6/ Note the appearance of the box is still reasonable
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 PTFS Europe Sandboxes 2020-06-11 14:39:28 UTC
Created attachment 105761 [details] [review]
Bug 25236: Fix semantic heading for opac-topissues.inc

Prior to this patch, the opac-topissues side navigation box contained
semantically incorrect headings.

Test plan
0/ Enable 'OpacTopIssues'
1/ Navigate to the top issues page via the 'Most popular' link
2/ Inspect the 'Refine your search' elements on the left side of the screen.
   Note that the headings are H1 (Koha page title) > H4 (Refine your search)
3/ Apply this patch
4/ Reload the page
5/ Re-inspect the 'Refine your search' elements and note the heading
   semantics are now H1 (Title of page) > H2 (Refine your search)
6/ Note the appearance of the box is still reasonable
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 9 PTFS Europe Sandboxes 2020-06-11 14:39:31 UTC
Created attachment 105762 [details] [review]
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt

Prior to this patch, the opac-full-serial-issues side navigation box contained
semantically incorrect headings.

Test plan
1/ Search for a serial with many linked issues
2/ Navigate to the detailed view of that serial
3/ Click on the 'More details' link after all the listed issues
4/ Inspect the 'Refine your search' elements on the left side of the screen.
   Note that the headings are H1 (Koha page title) > H4 (Refine your search)
3/ Apply this patch
4/ Reload the page
5/ Re-inspect the 'Refine your search' elements and note the heading
   semantics are now H1 (Title of page) > H2 (Refine your search)
6/ Note the appearance of the box is improved and consistent with elsewhere
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 10 Katrin Fischer 2020-06-21 14:31:49 UTC
Created attachment 106119 [details] [review]
Bug 25236: Fix semantic heading for opac-facets.inc

Prior to this patch, the opac-facets side navigation box contained
semantically incorrect headings.

Test plan
1/ Perform a search which yields some results in the OPAC
2/ Inspect the 'Refine your search' elements on the left side of the
screen. Note that the headings are H1 (Koha page title) > H4 (Refine
your search) > H5 (Headings within 'Refine your search' box)
3/ Apply this patch and follow
https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client
4/ Reload the page (Flushing the cache to ensure the CSS change load)
5/ Re-inspect the 'Refine your search' elements and note the heading
semantics are now H1 (Title of page) > H2 (Refine your search) > H3
(Headings within 'Refine your search')
6/ Note the appearance of the box is still reasonable
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2020-06-21 14:31:54 UTC
Created attachment 106120 [details] [review]
Bug 25236: Fix semantic heading for opac-topissues.inc

Prior to this patch, the opac-topissues side navigation box contained
semantically incorrect headings.

Test plan
0/ Enable 'OpacTopIssues'
1/ Navigate to the top issues page via the 'Most popular' link
2/ Inspect the 'Refine your search' elements on the left side of the screen.
   Note that the headings are H1 (Koha page title) > H4 (Refine your search)
3/ Apply this patch
4/ Reload the page
5/ Re-inspect the 'Refine your search' elements and note the heading
   semantics are now H1 (Title of page) > H2 (Refine your search)
6/ Note the appearance of the box is still reasonable
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2020-06-21 14:31:58 UTC
Created attachment 106121 [details] [review]
Bug 25236: Fix semantic heading for opac-full-serial-issues.tt

Prior to this patch, the opac-full-serial-issues side navigation box contained
semantically incorrect headings.

Test plan
1/ Search for a serial with many linked issues
2/ Navigate to the detailed view of that serial
3/ Click on the 'More details' link after all the listed issues
4/ Inspect the 'Refine your search' elements on the left side of the screen.
   Note that the headings are H1 (Koha page title) > H4 (Refine your search)
3/ Apply this patch
4/ Reload the page
5/ Re-inspect the 'Refine your search' elements and note the heading
   semantics are now H1 (Title of page) > H2 (Refine your search)
6/ Note the appearance of the box is improved and consistent with elsewhere
7/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Jonathan Druart 2020-06-24 13:32:10 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 14 Lucas Gass 2020-07-10 17:10:03 UTC
backported to 20.05.x for 20.05.02
Comment 15 Aleisha Amohia 2020-07-13 03:16:09 UTC
backported to 19.11.x for 19.11.08
Comment 16 Victor Grousset/tuxayo 2020-07-24 09:55:21 UTC
Backported to 19.05.x branch for 19.05.14